newCollection.World {galgo} | R Documentation

## Generates a list cloning an object

### Description

Generates a list cloning an object. It only use the generic newCollection method.

### Usage

    ## S3 method for class 'World'
    newCollection(.O, ...)

### Arguments

`n` | Number of object clones.

### Value

Returns a list with cloned objects. The names are build with the class and a consecutive number.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `World`. `unObject.Object`, `as.list.Object`, `newCollection.World`, `newRandomCollection.World`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni$fitness <- runif(10)  ## tricky fitness
      ni
      wo <- World(niches=newRandomCollection(ni,2))
      newCollection(wo, 2)                  # list of two new identical World objects
      newRandomCollection(wo, 2)            # list of two new different World objects

[Package galgo version 1.4 Index]